<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
class c_page_cab_kt_monitor extends c_page
{
 public $h1='Монитор контроля трезвости' ;

 public $page_type='window' ;
 public $monitor_last_id ;
 public $use_jwplayer=1 ;
 public $backgroud_update_monitor=1 ;
 public $full_update_monitor=60 ;

 function set_head_tags()
 { parent::set_head_tags() ;
   $this->HEAD['js'][]=_PATH_TO_EXT.'/kt/script_mon_html.js?rand='.rand() ;
   $this->init_JS() ;

 }

 function init_JS()
 {
     if (MEMBER()->id and MEMBER()->cur_group_id and $this->backgroud_update_monitor)
        { $this->monitor_last_id=KT()->get_last_monitor_mess_id_HTML(MEMBER()->cur_group_id) ; // фиксируем номер последнео события перед открытием окна для текущей группы
         ?><script type="text/javascript">
             $j(document).ready(function()
                  {  $j('body').monitor_HTML_interface({ from_id:<?echo $this->monitor_last_id+1?>,
                                                         group:<?echo MEMBER()->cur_group_id?>,
                                                         update_url: '/<?echo _CLASS_?>/ext/kt/monitor_event.php',
                                                         debug:0
                                                      });
                     <?if ($this->full_update_monitor){?>$j('body').everyTime(<?echo $this->full_update_monitor*1000?>,'update_monitor_full',function() { location.href='/cab/kt/monitor/' ;}) ;<?}?>
                  }
              );
            </script><?
        }
 }

 function panel_main_menu_title()
 {
   ?><li aria-haspopup="false"><a>Рабочая группа:<br><strong><?echo MEMBER()->cur_group_name?></strong></a></li><?
 }

 function menu_config()
 {   $this->menu['/cab/kt/monitor/']=array('title'=>'Все КТ') ;
     $this->menu['/cab/kt/monitor/denited/']=array('title'=>'Непройденные') ;
 }

 function block_main()
 { $this->page_title() ;
   if (!function_exists('KT')) {echo 'Необходимо включить модуль KT' ; return ;}

   $this->panel_top_time() ;

   include_once(_DIR_EXT.'/kt/report_kt_monitor.php') ;
   $report_obj=new report_kt_monitor() ;
   $report_obj->no_view_title=1 ;
   //$report_obj->filter['group_id']=MEMBER()->cur_groups_visible ; // только с терминалов своей группы
   $report_obj->filter['order']='pkey desc';
   $report_obj->view(array('limit'=>'limit 50','no_top_panel'=>1)) ;
   
    $this->panel_tech_info() ;

     ?><style type="text/css">
       div#panel_top_time{top:60px;right:30px;}
       span.ok{color:green;font-weight:bold;}
       span.error{color:red;font-weight:bold;font-size:18px;}

     </style><?
 }


 function panel_autorize()
 { ?><form id="sky-form" class="sky-form">
             				<header><img src="<?echo _LOGO_CAB?>"></header>
         <fieldset><strong>Для авторизации в системе используйте основной монитор</strong><br><br></fieldset>
        <footer>Электронная Система Медицинских Осмотров @ 2017</footer>
      </form>
   <?
 }

 function panel_tech_info()
 {
     ?><br><div id="panel_tech_info">
          <span id="group_id"></span>&nbsp;&nbsp;&nbsp;&nbsp;
          <span id="event_id"></span>&nbsp;&nbsp;&nbsp;&nbsp;
          <div id="error_responseText"></div>
          <div id="error_responseHeaders"></div>
       </div><?
 }


}
?>